interface IA <E> { }
interface IB { }

interface I <E extends IA<E> & IB> {
    //...
}


class CA{}
class CB{}
class CC extends CA implements I {}

//E 必须既是 CA的子孙类型又必须是I的子孙类型。
class C <E extends CA & I> {
	E a;
	public static void main(String[] args){
		C<CC> c=new C<CC>();
	}
}
